<wrapper [class]='myClass'>
  <div class="header"></div>
  <div class="page">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-1 col-xl-2 min-heigth"></div>
        <div class="col-md-10 col-xl-8">
          <div class="mid-left-width">
            <mat-form-field class="full-width">
              <mat-label>Filter</mat-label>
              <input matInput (keyup)="applyFilter($event)">
            </mat-form-field>
          </div>
          <div class="mid-rigth-width">
            <mat-paginator [pageSizeOptions]="pageSizeOptions"></mat-paginator>
          </div>
          <table mat-table
                [dataSource]="dataSource" matSort multiTemplateDataRows 
                class="mat-elevation-z8 mb-4">
            <ng-container matColumnDef="created_at">
              <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Created at</th>
              <td mat-cell *matCellDef="let row"> {{row.created_at|dateFormat}} </td>
            </ng-container>
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Name</th>
              <td mat-cell *matCellDef="let row"> {{row.name}} </td>
            </ng-container>
            <ng-container matColumnDef="owner">
              <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Owner</th>
              <td mat-cell *matCellDef="let row"> {{row.owner}} </td>
            </ng-container>
            <ng-container matColumnDef="type">
              <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Type</th>
              <td mat-cell *matCellDef="let row"> {{row.type}} </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
            <tr mat-row *matRowDef="let element; columns: columnsToDisplay;" class="example-element-row"></tr>
            <!-- <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="example-detail-row"></tr> -->
          </table>
        </div>
        <div class="col-md-1 col-xl-2"></div>
      </div>
    </div>
  </div>
</wrapper>